function y = obj_kinfQ(kinfQ, Y, pars, prior, mats, dt, rlb, scale)
% value of negative log conditional posterior

res = prop_kinfQ(kinfQ, Y, pars, prior, mats, dt,rlb, scale) ;
if ~isstruct(res)
    y = 1e20 ;
else
%    y = -res.llkQ ; 
    y = -res.llkQ - res.lprior;
end

end